Package org.apache.wiki.tags

## Class InsertPageTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.InsertPageTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class InsertPageTag
    extends WikiTagBase

Renders WikiPage content. For InsertPage tag and the InsertPage plugin the difference is that the tag will always render in the context of the page which is referenced (i.e. a LeftMenu inserted on a JSP page with the InsertPage tag will always render in the context of the actual URL, e.g. Main.), whereas the InsertPage plugin always renders in local context. This allows this like ReferringPagesPlugin to really refer to the Main page instead of having to resort to any trickery.

This tag sets the "realPage" field of the WikiContext to point at the inserted page, while the "page" will contain the actual page in which the rendering is being made.

Attributes

- page - Page name to refer to. Default is the current page.
- mode - In which format to insert the page. Can be either "plain" or "html".

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `HTML`
`protected java.lang.String` `m_pageName`
`static int` `PLAIN`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`InsertPageTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getPage()`
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setMode​(java.lang.String arg)`
`void` `setPage​(java.lang.String page)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HTML

    public static final int HTML

See Also:
  Constant Field Values

#### PLAIN

    public static final int PLAIN

See Also:
  Constant Field Values

#### m_pageName

    protected java.lang.String m_pageName

### Constructor Detail

#### InsertPageTag

    public InsertPageTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### setPage

    public void setPage​(java.lang.String page)

#### getPage

    public java.lang.String getPage()

#### setMode

    public void setMode​(java.lang.String arg)

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException,
                                    ProviderException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`
  `ProviderException`